ERROR_STRING = {
	0: "Pico ok",
	1: "Pico max units opened",
	2: "Pico memory fail",
	3: "Pico not found",
	4: "Pico fw fail",
	5: "Pico open operation in progress",
	6: "Pico operation failed",
	7: "Pico not responding",
	8: "Pico config fail",
	9: "Pico kernel driver too old",
	10: "Pico eeprom corrupt",
	11: "Pico os not supported",
	12: "Pico invalid handle",
	13: "Pico invalid parameter",
	14: "Pico invalid timebase",
	15: "Pico invalid voltage range",
	16: "Pico invalid channel",
	17: "Pico invalid trigger channel",
	18: "Pico invalid condition channel",
	19: "Pico no signal generator",
	20: "Pico streaming failed",
	21: "Pico block mode failed",
	22: "Pico null parameter",
	23: "Pico ets mode set",
	24: "Pico data not available",
	25: "Pico string buffer to small",
	26: "Pico ets not supported",
	27: "Pico auto trigger time to short",
	28: "Pico buffer stall",
	29: "Pico too many samples",
	30: "Pico too many segments",
	31: "Pico pulse width qualifier",
	32: "Pico delay",
	33: "Pico source details",
	34: "Pico conditions",
	35: "Pico user callback",
	36: "Pico device sampling",
	37: "Pico no samples available",
	38: "Pico segment out of range",
	39: "Pico busy",
	40: "Pico startindex invalid",
	41: "Pico invalid info",
	42: "Pico info unavailable",
	43: "Pico invalid sample interval",
	44: "Pico trigger error",
	45: "Pico memory",
	46: "Pico sig gen param",
	47: "Pico shots sweeps warning",
	48: "Pico siggen trigger source",
	49: "Pico aux output conflict",
	50: "Pico aux output ets conflict",
	51: "Pico warning ext threshold conflict",
	52: "Pico warning aux output conflict",
	53: "Pico siggen output over voltage",
	54: "Pico delay null",
	55: "Pico invalid buffer",
	56: "Pico siggen offset voltage",
	57: "Pico siggen pk to pk",
	58: "Pico cancelled",
	59: "Pico segment not used",
	60: "Pico invalid call",
	61: "Pico get values interrupted",
	63: "Pico not used",
	64: "Pico invalid sampleratio",
	65: "Pico invalid state",
	66: "Pico not enough segments",
	67: "Pico driver function",
	68: "Pico reserved",
	69: "Pico invalid coupling",
	70: "Pico buffers not set",
	71: "Pico ratio mode not supported",
	72: "Pico rapid not support aggregation",
	73: "Pico invalid trigger property",
	74: "Pico interface not connected",
	75: "Pico resistance and probe not allowed",
	76: "Pico power failed",
	77: "Pico siggen waveform setup failed",
	78: "Pico fpga fail",
	79: "Pico power manager",
	80: "Pico invalid analogue offset",
	81: "Pico pll lock failed",
	82: "Pico analog board",
	83: "Pico config fail awg",
	84: "Pico initialise fpga",
	86: "Pico external frequency invalid",
	87: "Pico clock change error",
	88: "Pico trigger and external clock clash",
	89: "Pico pwq and external clock clash",
	90: "Pico unable to open scaling file",
	91: "Pico memory clock frequency",
	92: "Pico i2c not responding",
	93: "Pico no captures available",
	95: "Pico too many trigger channels in use",
	96: "Pico invalid trigger direction",
	97: "Pico invalid trigger states",
	94: "Pico not used in this capture mode",
	259: "Pico get data active",
	260: "Pico ip networked",
	261: "Pico invalid ip address",
	262: "Pico ipsocket failed",
	263: "Pico ipsocket timedout",
	264: "Pico settings failed",
	265: "Pico network failed",
	266: "Pico ws2 32 dll not loaded",
	267: "Pico invalid ip port",
	268: "Pico coupling not supported",
	269: "Pico bandwidth not supported",
	270: "Pico invalid bandwidth",
	271: "Pico awg not supported",
	272: "Pico ets not running",
	273: "Pico sig gen whitenoise not supported",
	274: "Pico sig gen wavetype not supported",
	275: "Pico invalid digital port",
	276: "Pico invalid digital channel",
	277: "Pico invalid digital trigger direction",
	278: "Pico sig gen prbs not supported",
	279: "Pico ets not available with logic channels",
	280: "Pico warning repeat value",
	281: "Pico power supply connected",
	282: "Pico power supply not connected",
	283: "Pico power supply request invalid",
	284: "Pico power supply undervoltage",
	285: "Pico capturing data",
	286: "Pico usb3 0 device non usb3 0 port",
	287: "Pico not supported by this device",
	288: "Pico invalid device resolution",
	289: "Pico invalid number channels for resolution",
	290: "Pico channel disabled due to usb powered",
	291: "Pico siggen dc voltage not configurable",
	292: "Pico no trigger enabled for trigger in pre trig",
	293: "Pico trigger within pre trig not armed",
	294: "Pico trigger within pre not allowed with delay",
	295: "Pico trigger index unavailable",
	296: "Pico awg clock frequency",
	297: "Pico too many channels in use",
	298: "Pico null conditions",
	299: "Pico duplicate condition source",
	300: "Pico invalid condition info",
	301: "Pico settings read failed",
	302: "Pico settings write failed",
	303: "Pico argument out of range",
	304: "Pico hardware version not supported",
	305: "Pico digital hardware version not supported",
	306: "Pico analogue hardware version not supported",
	307: "Pico unable to convert to resistance",
	308: "Pico duplicated channel",
	309: "Pico invalid resistance conversion",
	310: "Pico invalid value in max buffer",
	311: "Pico invalid value in min buffer",
	312: "Pico siggen frequency out of range",
	313: "Pico eeprom2 corrupt",
	314: "Pico eeprom2 fail",
	315: "Pico serial buffer too small",
	316: "Pico siggen trigger and external clock clash",
	317: "Pico warning siggen auxio trigger disabled",
	318: "Pico siggen gating auxio not available",
	319: "Pico siggen gating auxio enabled",
	320: "Pico resource error",
	321: "Pico temperature type invalid",
	322: "Pico temperature type not supported",
	323: "Pico timeout",
	324: "Pico device not functioning",
	325: "Pico internal error",
	326: "Pico multiple devices found",
	327: "Pico warning number of segments reduced",
	328: "Pico cal pins states",
	329: "Pico cal pins frequency",
	330: "Pico cal pins amplitude",
	331: "Pico cal pins wavetype",
	332: "Pico cal pins offset",
	333: "Pico probe fault",
	334: "Pico probe identity unknown",
	335: "Pico probe power dc power supply required",
	336: "Pico probe not powered with dc power supply",
	337: "Pico probe config failure",
	338: "Pico probe interaction callback",
	339: "Pico unknown intelligent probe",
	340: "Pico intelligent probe corrupt",
	341: "Pico probe collection not started",
	342: "Pico probe power consumption exceeded",
	343: "Pico warning probe channel out of sync",
	344: "Pico endpoint missing",
	345: "Pico unknown endpoint request",
	346: "Pico adc type error",
	347: "Pico fpga2 failed",
	348: "Pico fpga2 device status",
	349: "Pico enable program fpga2 failed",
	350: "Pico no channels or ports enabled",
	351: "Pico invalid ratio mode",
	352: "Pico reads not supported in current capture mode",
	353: "Pico trigger read selection check failed",
	354: "Pico data read1 selection check failed",
	356: "Pico data read2 selection check failed",
	360: "Pico data read3 selection check failed",
	368: "Pico read selection out of range",
	369: "Pico multiple ratio modes",
	370: "Pico no samples read",
	371: "Pico ratio mode not requested",
	372: "Pico no user read requests set",
	373: "Pico zero samples invalid",
	374: "Pico analogue hardware missing",
	375: "Pico analogue hardware pins",
	376: "Pico analogue hardware smps fault",
	377: "Pico digital analogue hardware conflict",
	378: "Pico ratio mode buffer not set",
	379: "Pico resolution not supported by variant",
	380: "Pico threshold out of range",
	381: "Pico invalid simple trigger direction",
	382: "Pico aux not supported",
	383: "Pico null directions",
	384: "Pico null channel properties",
	385: "Pico trigger channel not enabled",
	386: "Pico condition has no trigger property",
	387: "Pico ratio mode trigger masking invalid",
	388: "Pico trigger data requires min buffer size of 40 samples",
	389: "Pico no of captures out of range",
	390: "Pico ratio mode segment header does not require buffers",
	391: "Pico for segment header use gettriggerinfo",
	392: "Pico read not set",
	393: "Pico adc setting mismatch",
	394: "Pico datatype invalid",
	395: "Pico ratio mode does not support datatype",
	396: "Pico channel combination not valid in this resolution",
	397: "Pico use 8bit resolution",
	398: "Pico aggregate buffers same pointer",
	399: "Pico overlapped read values out of range",
	400: "Pico overlapped read segments out of range",
	401: "Pico channelflagscombinations array size too small",
	402: "Pico captures exceeds no of supported segments",
	403: "Pico time units out of range",
	404: "Pico no samples requested",
	405: "Pico invalid action",
	406: "Pico no of samples need to be equal when adding buffers",
	407: "Pico waiting for data buffers",
	408: "Pico streaming only supports one read",
	409: "Pico clear data buffer invalid",
	410: "Pico invalid action flags combination",
	411: "Pico both min and max null buffers cannot be added",
	412: "Pico conflict in set data buffers call remove data buffer to reset",
	413: "Pico removing data buffer entries not allowed while data processing",
	512: "Pico cyusb request failed",
	513: "Pico streaming data required",
	514: "Pico invalid number of samples",
	515: "Pico invalid distribution",
	516: "Pico buffer length greater than int32 t",
	521: "Pico pll mux out failed",
	522: "Pico one pulse width direction allowed",
	523: "Pico external trigger not supported",
	524: "Pico no trigger conditions set",
	525: "Pico no of channel trigger properties out of range",
	526: "Pico probe component error",
	527: "Pico incompatible probe",
	528: "Pico invalid trigger channel for ets",
	529: "Pico not available when streaming is running",
	530: "Pico invalid trigger within pre trigger state",
	531: "Pico zero number of captures invalid",
	532: "Pico invalid length",
	768: "Pico trigger delay out of range",
	769: "Pico invalid threshold direction",
	770: "Pico invalid threshold mode",
	771: "Pico timebase not supported by resolution",
	4096: "Pico invalid variant",
	4097: "Pico memory module error",
	8192: "Pico pulse width qualifier lower upper confilct",
	8193: "Pico pulse width qualifier type",
	8194: "Pico pulse width qualifier direction",
	8195: "Pico threshold mode out of range",
	8196: "Pico trigger and pulsewidth direction in conflict",
	8197: "Pico threshold upper lower mismatch",
	8198: "Pico pulse width lower out of range",
	8199: "Pico pulse width upper out of range",
	8200: "Pico front panel error",
	8203: "Pico front panel mode",
	8204: "Pico front panel feature",
	8205: "Pico no pulse width conditions set",
	8206: "Pico trigger port not enabled",
	8207: "Pico digital direction not set",
	8208: "Pico i2c device invalid read command",
	8209: "Pico i2c device invalid response",
	8210: "Pico i2c device invalid write command",
	8211: "Pico i2c device argument out of range",
	8212: "Pico i2c device mode",
	8213: "Pico i2c device setup failed",
	8214: "Pico i2c device feature",
	8215: "Pico i2c device validation failed",
	8216: "Pico internal header error",
	8217: "Pico failed to write hardware fault",
	12288: "Pico mso too many edge transitions when using pulse width",
	12289: "Pico invalid probe led position",
	12290: "Pico probe led position not supported",
	12291: "Pico duplicate probe channel led position",
	12292: "Pico probe led failure",
	12293: "Pico probe not supported by this device",
	12294: "Pico invalid probe name",
	12295: "Pico no probe colour settings",
	12296: "Pico no probe connected on requested channel",
	12297: "Pico probe does not require calibration",
	12298: "Pico probe calibration failed",
	12299: "Pico probe version error",
	12300: "Pico probe does not support frequency counter",
	16384: "Pico auto trigger time too long",
	20480: "Pico mso pod validation failed",
	20481: "Pico no mso pod connected",
	20482: "Pico digital port hysteresis out of range",
	20483: "Pico mso pod failed unit",
	20484: "Pico attenuation failed",
	20485: "Pico dc 50ohm overvoltage tripped",
	20486: "Pico mso over current tripped",
	20496: "Pico not responding overheated",
	24576: "Pico hardware capture timeout",
	24577: "Pico hardware ready timeout",
	24578: "Pico hardware capturing call stop",
	28672: "Pico too few requested streaming samples",
	28673: "Pico streaming reread data not available",
	28674: "Pico streaming combination of raw data and one aggregation data type allowed",
	16777216: "Pico device time stamp reset",
	33554433: "Pico trigger time not requested",
	33554434: "Pico trigger time buffer not set",
	33554436: "Pico trigger time failed to calculate",
	33554440: "Pico trigger within a pre trigger failed to calculate",
	33554688: "Pico trigger time stamp not requested",
	35651584: "Pico ratio mode trigger data for time calculation does not require buffers",
	35651585: "Pico ratio mode trigger data for time calculation does not have buffers",
	35651586: "Pico ratio mode trigger data for time calculation use gettriggerinfo",
	35651587: "Pico streaming does not support trigger ratio modes",
	35651588: "Pico use the trigger read",
	35651589: "Pico use a data read",
	35651590: "Pico trigger read requires int16 t data type",
	35651591: "Pico ratio mode requires number of samples to be set",
	50331664: "Pico siggen settings mismatch",
	50331665: "Pico siggen settings changed call apply",
	50331666: "Pico siggen wavetype not supported",
	50331667: "Pico siggen triggertype not supported",
	50331668: "Pico siggen triggersource not supported",
	50331669: "Pico siggen filter state not supported",
	50331680: "Pico siggen null parameter",
	50331681: "Pico siggen empty buffer supplied",
	50331682: "Pico siggen range not supplied",
	50331683: "Pico siggen buffer not supplied",
	50331684: "Pico siggen frequency not supplied",
	50331685: "Pico siggen sweep info not supplied",
	50331686: "Pico siggen trigger info not supplied",
	50331687: "Pico siggen clock freq not supplied",
	50331696: "Pico siggen too many samples",
	50331697: "Pico siggen dutycycle out of range",
	50331698: "Pico siggen cycles out of range",
	50331699: "Pico siggen prescale out of range",
	50331700: "Pico siggen sweeptype invalid",
	50331701: "Pico siggen sweep wavetype mismatch",
	50331702: "Pico siggen invalid sweep parameters",
	50331703: "Pico siggen sweep prescale not supported",
	50331704: "Pico awg over voltage range",
	50331705: "Pico not locked to reference frequency",
	50331712: "Pico permissions error",
	50335744: "Pico ports without analogue channels only allowed in 8bit resolution",
	50343937: "Pico analogue frontend missing",
	50343938: "Pico front panel missing",
	50343939: "Pico analogue frontend and front panel missing",
	50345984: "Pico digital board hardware error",
	50348032: "Pico firmware update required to use device with this driver",
	50348033: "Pico update required null",
	50348034: "Pico firmware up to date",
	50348035: "Pico flash fail",
	50348036: "Pico internal error firmware length invalid",
	50348037: "Pico internal error firmware null",
	50348038: "Pico firmware failed to be changed",
	50348039: "Pico firmware failed to reload",
	50348040: "Pico firmware failed to be update",
	50348041: "Pico firmware version out of range",
	50352128: "Pico optional bootloader update available with this driver",
	50352129: "Pico bootloader version not available",
	50364416: "Pico no apps available",
	50364417: "Pico unsupported app",
	50339840: "Pico adc powered down",
	268435456: "Pico watchdogtimer",
	268435457: "Pico ipp not found",
	268435458: "Pico ipp no function",
	268435459: "Pico ipp error",
	268435460: "Pico shadow cal not available",
	268435461: "Pico shadow cal disabled",
	268435462: "Pico shadow cal error",
	268435463: "Pico shadow cal corrupt",
	268435464: "Pico device memory overflow",
	268435472: "Pico adc test failure",
	285212672: "Pico reserved 1",
	536870912: "Pico source not ready",
	536870913: "Pico source invalid baud rate",
	536870914: "Pico source not opened for write",
	536870915: "Pico source failed to write device",
	536870916: "Pico source eeprom fail",
	536870917: "Pico source eeprom not present",
	536870918: "Pico source eeprom not programmed",
	536870919: "Pico source list not ready",
	536870920: "Pico source ftd2xx not found",
	536870921: "Pico source ftd2xx no function",
}